org.cybergarage.upnp.event

## Class Subscriber

- java.lang.Object
- - org.cybergarage.upnp.event.Subscriber

-     public class Subscriber
      extends Object

  Represents a UPnP event subscriber.

  This class encapsulates information about a control point that has subscribed to receive event notifications from a UPnP service. It manages the subscription lifecycle including timeout, renewal, and delivery URL information.

  Key features:

  - Subscription ID (SID) management
  - Delivery URL and callback address handling
  - Subscription timeout and renewal tracking
  - Expiration checking and management
  - Sequence number tracking for notifications

  This class is used by UPnP services to maintain information about each subscriber, enabling targeted delivery of event notifications and management of subscription lifecycles including automatic cleanup of expired subscriptions.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Subscriber()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDeliveryHost()`
    `String` | `getDeliveryPath()`
    `int` | `getDeliveryPort()`
    `String` | `getDeliveryURL()`
    `String` | `getInterfaceAddress()`
    `long` | `getNotifyCount()`
    `String` | `getSID()`
    `long` | `getSubscriptionTime()`
    `long` | `getTimeOut()`
    `void` | `incrementNotifyCount()`
    `boolean` | `isExpired()`
    `void` | `renew()`
    `void` | `setDeliveryURL(String deliveryURL)`
    `void` | `setInterfaceAddress(String addr)`
    `void` | `setNotifyCount(int cnt)`
    `void` | `setSID(String sid)`
    `void` | `setSubscriptionTime(long time)`
    `void` | `setTimeOut(long value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Subscriber

          public Subscriber()

  - ### Method Detail

    - #### getDeliveryHost

          public String getDeliveryHost()

    - #### getDeliveryPath

          public String getDeliveryPath()

    - #### getDeliveryPort

          public int getDeliveryPort()

    - #### getDeliveryURL

          public String getDeliveryURL()

    - #### getInterfaceAddress

          public String getInterfaceAddress()

    - #### getNotifyCount

          public long getNotifyCount()

    - #### getSID

          public String getSID()

    - #### getSubscriptionTime

          public long getSubscriptionTime()

    - #### getTimeOut

          public long getTimeOut()

    - #### incrementNotifyCount

          public void incrementNotifyCount()

    - #### isExpired

          public boolean isExpired()

    - #### renew

          public void renew()

    - #### setDeliveryURL

          public void setDeliveryURL(String deliveryURL)

    - #### setInterfaceAddress

          public void setInterfaceAddress(String addr)

    - #### setNotifyCount

          public void setNotifyCount(int cnt)

    - #### setSID

          public void setSID(String sid)

    - #### setSubscriptionTime

          public void setSubscriptionTime(long time)

    - #### setTimeOut

          public void setTimeOut(long value)